package org.amse.vbut.vzab.view.tools;

import javax.swing.*;

public class BoxLayoutUtils {
	
	public static void setGroupAlignmentX(JComponent[] cs, float alignment) {
		for (JComponent c: cs) {
			c.setAlignmentX(alignment);
		}
	}
	
	public static void setGroupAlignmentY(JComponent[] cs, float alignment) {
		for (JComponent c: cs) {
			c.setAlignmentY(alignment);
		}
	}
	
	public static JPanel createVerticalPanel() {
		JPanel p = new JPanel();
		p.setLayout(new BoxLayout(p, BoxLayout.Y_AXIS));		
		return p;
	}
	
	public static JPanel createHorizontalPanel() {
		JPanel p = new JPanel();
		p.setLayout(new BoxLayout(p, BoxLayout.X_AXIS));		
		return p;
	}
}
