package org.amse.vbut.vzab.io;

import org.amse.vbut.vzab.model.*;

/**
 * Input/output operations with players.
 * 
 * @author But Vasiliy
 *
 */
public interface IPlayerIO {

	/**
	 * Reads player from specified file.
	 * @param path - file to read from
	 * @param playername - name of player in the game
	 * @return player
	 */
	public IPlayer readPlayer(String path, String playername);
	
}
