package org.amse.vbut.vzab.tests;

import junit.framework.TestCase;

import org.amse.vbut.vzab.*;

public class ColorTests extends TestCase {

	private VZabColor myColor;
	
	public void test01() {
		myColor = new VZabColor(128, 0, 255);
		
		assertEquals("[r=128,g=0,b=255]", myColor.toString());
		
		assertEquals("8000ff", myColor.toHexString());
		
		assertEquals(128, myColor.getRed());
		assertEquals(0,   myColor.getGreen());
		assertEquals(255, myColor.getBlue());
		
		assertTrue(myColor.equals(new VZabColor("8000ff", 16)));
		assertTrue(myColor.equals(new VZabColor("8388863", 10)));
	}
	
}
