package org.amse.vbut.vzab.view.events;

import java.awt.event.*;
import javax.swing.*;

import org.amse.vbut.vzab.view.*;
import org.amse.vbut.vzab.io.*;
import org.amse.vbut.vzab.io.impl.IOFactory;

@SuppressWarnings("serial")
public class AboutAction extends AbstractAction {

	private Viewer myView;
	
	public AboutAction(Viewer view) {
		super("About VZab", IOTools.loadIcon("/images/about.png") );
		putValue(AbstractAction.SHORT_DESCRIPTION, "About this program");
		myView = view;
	}
	
	public void actionPerformed(ActionEvent e) {
		IReader reader = IOFactory.newReader();
		
		String text = reader.readReadme("readme.xml");
		
		JOptionPane.showMessageDialog(myView, text, "About VZab", JOptionPane.INFORMATION_MESSAGE);
	}

}
